#! /usr/bin/env node
var program = require('commander');
var ifc = require('../dist/index');

var options = {};

function list(val) {
    return val.split(',');
}

program
    .version('0.0.1', '-v, --version')
    .option('-c, --config <config>', 'Config file path')
    .option('-e, --encoding <encoding>', 'File encoding when reading files to replace')
    .option('-l, --line <line>', 'Line regular expression')
    .option('-o, --out <out>', 'Output directory where files are saved after insert')
    .option('-s, --src <src>', 'Source directory where files to be inserted')
    .option('-t, --tokens <tokens>', 'Tokens to replace', list)
    .option('-C, --clean [clean]', 'Delete out directory if already exist before inserting file content', /^(true|false)$/i, false)
    .parse(process.argv);

if (program.config) {
    options["config"] = program.config;
}

if (program.encoding) {
    options["fileEncoding"] = program.encoding;
}

if (program.line) {
    options["lineRegExp"] = program.line;
}

if (program.out) {
    options["outDir"] = program.out;
}

if (program.src) {
    options["srcDir"] = program.src;
}

if (program.tokens && program.tokens.length > 0) {
    options["tokens"] = {};
    for (var i = 0; i < program.tokens.length; i++) {
        var nameValue = program.tokens[i].split(':');
        options["tokens"][nameValue[0]] = nameValue[1];
    }
}

if (program.clean) {
    options["cleanOutDir"] = program.clean;
}
ifc.ifcSync(options);
