"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const klaw_sync_1 = require("klaw-sync");
exports.fileExistSync = (filePath) => {
    return fs.existsSync(filePath);
};
exports.copyFileSync = (srcDirPath, outDirPath, cleanOutDir = false) => {
    if (fs.existsSync(srcDirPath)) {
        initOutDir(outDirPath, cleanOutDir);
        fs.copySync(srcDirPath, outDirPath);
        return true;
    }
    console.log("Source directory does not exist");
    return false;
};
exports.getFileListSync = (dirPath) => {
    return klaw_sync_1.default(dirPath, { nodir: true });
};
exports.getFileContentSync = (path, fileEncoding) => {
    return fs.readFileSync(path, fileEncoding);
};
exports.getJsonSync = (path) => {
    return fs.readJsonSync(path);
};
exports.writeToFileSync = (path, content) => {
    try {
        fs.writeFileSync(path, content, { flag: "w" });
    }
    catch (error) {
        console.log(`cannot write data to file ${path}`, error);
    }
};
const initOutDir = (outDirPath, cleanOutDir) => {
    if (cleanOutDir) {
        fs.removeSync(outDirPath);
    }
};
