"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_helpers_1 = require("./file-helpers");
const model_1 = require("./model");
const template_content_sync_1 = require("./template-content-sync");
exports.ifcSync = (options) => {
    options = initOptionsSync(options);
    console.log(options);
    const isCopied = file_helpers_1.copyFileSync(options.srcDir, options.outDir, options.cleanOutDir);
    if (isCopied) {
        generateAndWriteContentSync(options);
        console.log("done");
    }
};
const generateAndWriteContentSync = (options) => {
    const fileObjList = file_helpers_1.getFileListSync(options.outDir);
    fileObjList.forEach((fileObj) => {
        const content = file_helpers_1.getFileContentSync(fileObj.path, options.fileEncoding);
        file_helpers_1.writeToFileSync(fileObj.path, template_content_sync_1.replaceTokensAndLineRegExpSync(content, options));
    });
};
const initOptionsSync = (options) => {
    const path = options && options.config ? options.config : model_1.defaultOptions.config;
    let fileOptions;
    if (file_helpers_1.fileExistSync(path)) {
        fileOptions = file_helpers_1.getJsonSync(path);
    }
    return Object.assign({}, model_1.defaultOptions, fileOptions, options);
};
